import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (a, e, o, r) => {
  for (var t = r > 1 ? void 0 : r ? g(e, o) : e, i = a.length - 1, l; i >= 0; i--)
    (l = a[i]) && (t = (r ? l(e, o, t) : l(t)) || t);
  return r && t && m(e, o, t), t;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--italy", this.class = "c-pieIcon c-pieIcon--italy", this.name = "IconFlagItaly";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--italy"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#D80027" d="M15 8a7 7 0 0 0-4.566-6.563v13.126A7 7 0 0 0 15 8Z"></path><path fill="#6DA544" d="M1 8a7 7 0 0 0 4.566 6.563V1.437A7 7 0 0 0 1 8Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  h("icon-flag-italy")
], s);
export {
  s as IconFlagItaly
};
